Debian Bug report logs - #503044
xen-utils-common: should make the loopback device default to supporting more nodes

version graph

Package: xen-utils-common; Maintainer for xen-utils-common is Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>; Source for xen-utils-common is src:xen.

Reported by: Russell Coker <russell@coker.com.au>

Date: Wed, 22 Oct 2008 02:57:01 UTC

Severity: wishlist

Found in version xen-common/3.2.0-2

Fixed in version xen/4.1.2-6

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#503044; Package xen-utils-common. (Wed, 22 Oct 2008 02:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russell Coker <russell@coker.com.au>:
New Bug report received and forwarded. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Wed, 22 Oct 2008 02:57:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xen-utils-common: should make the loopback device default to supporting more nodes
Date: Wed, 22 Oct 2008 13:54:37 +1100
Package: xen-utils-common
Version: 3.2.0-2
Severity: normal

When file: sources are used for Xen block devices the Xen system will
use a loopback device for each one.  It's quite common for DomUs to be
configured with two block devices (one for storage and one for swap) and
not uncommon to have a block device for each filesystem (which makes it
easier to grow filesystems).

Therefore the default of 8 loopback devices will allow an absolute
maximum of 8 DomUs with file: block devices, 4 DomUs that have separate
block devices for swap and storage, and 2 or less if each DomU has more
devices.

It seems reasonable to create a file /etc/modprobe.d/xen that contains
the following line to alleviate this:
options loop max_loop=32




Severity set to 'wishlist' from 'normal' Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Sun, 23 Aug 2009 15:24:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#503044; Package xen-utils-common. (Sun, 23 Aug 2009 16:33:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anders Kaseorg <andersk@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Sun, 23 Aug 2009 16:33:31 GMT) Full text and rfc822 format available.

Message #12 received at 503044@bugs.debian.org (full text, mbox):

From: Anders Kaseorg <andersk@MIT.EDU>
To: 503044@bugs.debian.org
Subject: Re: xen-utils-common: should make the loopback device default to supporting more nodes
Date: Sun, 23 Aug 2009 12:32:40 -0400 (EDT)
On Wed, 22 Oct 2008, Russell Coker wrote:
> It seems reasonable to create a file /etc/modprobe.d/xen that contains 
> the following line to alleviate this:
> options loop max_loop=32

Since kernel 2.6.22, loop devices are allocated dynamically, so that you 
can `mknod /dev/loopN b 7 N` for any N and start using it immediately.  
The max_loop option causes more loop devices to be preallocated, but also 
disables dynamic allocation.

So maybe this problem is better solved by teaching /etc/xen/scripts/block 
to mknod a new loop device if it can’t find one free.  Untested patch:

--- xen-common/tools/hotplug/Linux/block
+++ xen-common/tools/hotplug/Linux/block
@@ -329,6 +329,13 @@
           fi
         done
 
+        if [ "$loopdev" = '' ]
+        then
+          loopdev=$(seq -f '/dev/loop%.f' 0 1048575 | \
+                    grep -Fxv -m1 -f <(echo /dev/loop* | tr ' ' '\n')) && \
+            mknod "$loopdev" b 7 "${loopdev#/dev/loop}"
+        fi
+
         if [ "$loopdev" = '' ]
         then
           release_lock "block"

Anders




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#503044; Package xen-utils-common. (Wed, 07 Mar 2012 22:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Drake Wilson <drake@dasyatidae.net>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Wed, 07 Mar 2012 22:42:03 GMT) Full text and rfc822 format available.

Message #17 received at 503044@bugs.debian.org (full text, mbox):

From: Drake Wilson <drake@dasyatidae.net>
To: 503044@bugs.debian.org
Subject: Should update README.Debian re loop devices as well
Date: Wed, 7 Mar 2012 16:33:07 -0600
As a quick extra note, /usr/share/doc/xen-utils-4.1/README.Debian from
xen-utils-4.1 version 4.1.2-2 still reads:

| 1. Maximum number of loop devices
|    By default the loop driver supports a maximum of 8 loop devices. Of
|    course since every Xen domain uses at least two (one for the data and one
|    for the swap) this number is absolutely insufficient. You should increase
|    it by adding a file named local-loop in /etc/modprobe.d containing the
|    string "options loop max_loop=128", if the loop driver is compiled as a
|    module, or by appending the string max_loop=128 to your kernel parameters
|    if the driver is in-kernel. Of course you can increase or decrease the
|    number 128 as you see fit.

This is now multiply wrong: firstly, module-init-tools 3.16-1 (I haven't tried
other versions) says that new files placed in /etc/modprobe.d should have a
.conf suffix, and secondly, assuming Anders Kaseorg's message upthread about
max_loop disabling dynamic allocation is correct, this configuration is no
longer directly desirable.  So whoever comes back to look at the loop device
behavior should please make sure to update the README.Debian file also.

   ---> Drake Wilson




Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. (Sun, 06 May 2012 18:42:03 GMT) Full text and rfc822 format available.

Notification sent to Russell Coker <russell@coker.com.au>:
Bug acknowledged by developer. (Sun, 06 May 2012 18:42:03 GMT) Full text and rfc822 format available.

Message #22 received at 503044-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 503044-close@bugs.debian.org
Subject: Bug#503044: fixed in xen 4.1.2-6
Date: Sun, 06 May 2012 18:39:34 +0000
Source: xen
Source-Version: 4.1.2-6

We believe that the bug you reported is fixed in the latest version of
xen, which is due to be installed in the Debian FTP archive:

libxen-4.1_4.1.2-6_amd64.deb
  to main/x/xen/libxen-4.1_4.1.2-6_amd64.deb
libxen-dev_4.1.2-6_amd64.deb
  to main/x/xen/libxen-dev_4.1.2-6_amd64.deb
libxen-ocaml-dev_4.1.2-6_amd64.deb
  to main/x/xen/libxen-ocaml-dev_4.1.2-6_amd64.deb
libxen-ocaml_4.1.2-6_amd64.deb
  to main/x/xen/libxen-ocaml_4.1.2-6_amd64.deb
libxenstore3.0_4.1.2-6_amd64.deb
  to main/x/xen/libxenstore3.0_4.1.2-6_amd64.deb
xen-docs-4.1_4.1.2-6_all.deb
  to main/x/xen/xen-docs-4.1_4.1.2-6_all.deb
xen-hypervisor-4.1-amd64_4.1.2-6_amd64.deb
  to main/x/xen/xen-hypervisor-4.1-amd64_4.1.2-6_amd64.deb
xen-utils-4.1_4.1.2-6_amd64.deb
  to main/x/xen/xen-utils-4.1_4.1.2-6_amd64.deb
xen-utils-common_4.1.2-6_all.deb
  to main/x/xen/xen-utils-common_4.1.2-6_all.deb
xen_4.1.2-6.debian.tar.gz
  to main/x/xen/xen_4.1.2-6.debian.tar.gz
xen_4.1.2-6.dsc
  to main/x/xen/xen_4.1.2-6.dsc
xenstore-utils_4.1.2-6_amd64.deb
  to main/x/xen/xenstore-utils_4.1.2-6_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 503044@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated xen package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 06 May 2012 20:07:41 +0200
Source: xen
Binary: xen-docs-4.1 libxen-4.1 libxenstore3.0 libxen-dev xenstore-utils libxen-ocaml libxen-ocaml-dev xen-utils-common xen-utils-4.1 xen-hypervisor-4.1-amd64 xen-hypervisor-4.1-i386
Architecture: source amd64 all
Version: 4.1.2-6
Distribution: unstable
Urgency: low
Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 libxen-4.1 - Public libs for Xen
 libxen-dev - Public headers and libs for Xen
 libxen-ocaml - OCaml libraries for controlling Xen
 libxen-ocaml-dev - OCaml libraries for controlling Xen (devel package)
 libxenstore3.0 - Xenstore communications library for Xen
 xen-docs-4.1 - Documentation for Xen
 xen-hypervisor-4.1-amd64 - Xen Hypervisor on AMD64
 xen-hypervisor-4.1-i386 - Xen Hypervisor on i386
 xen-utils-4.1 - XEN administrative tools
 xen-utils-common - Xen administrative tools - common files
 xenstore-utils - Xenstore utilities for Xen
Closes: 503044 596048 671750
Changes: 
 xen (4.1.2-6) unstable; urgency=low
 .
   * Fix generation of architectures for hypervisor packages.
   * Remove information about loop devices, it is incorrect. (closes: #503044)
   * Update xendomains init script:
     - Create directory for domain images only root readable. (closes: #596048)
     - Add missing sanity checks for variables. (closes: #671750)
     - Remove not longer supported config options.
     - Don't fail if no config is available.
     - Remove extra output if domain was restored.
Checksums-Sha1: 
 1d8d268e33718df0036fb8de6032c151a8e95996 2256 xen_4.1.2-6.dsc
 e60c554cb4068d788f3754c1e4ae72325d2fe356 107016 xen_4.1.2-6.debian.tar.gz
 3dd63efb7dbca14c75e4763eb884a203964c2ada 743982 xen-hypervisor-4.1-amd64_4.1.2-6_amd64.deb
 5eabd4b4c42634bf52ccbac2044bcc23bd8a3e4a 1169788 xen-docs-4.1_4.1.2-6_all.deb
 cfdb1902c3813f80329ccc65d6860b5fd3a8fc93 76816 xen-utils-common_4.1.2-6_all.deb
 fd822cf1483242ea0a3bcc68574ba310a2be6350 288892 libxen-dev_4.1.2-6_amd64.deb
 e98f1618593aac8941834259cafc77f791fe7abb 86476 libxen-ocaml-dev_4.1.2-6_amd64.deb
 6f604d3b3edf073d54c4a7320b3914d61ca8ca4c 27254 libxenstore3.0_4.1.2-6_amd64.deb
 bdf83afd69ee09596890a2458abcc03ecb673436 137558 libxen-4.1_4.1.2-6_amd64.deb
 a9e32e8884b302d978af1ef1e9451765df67489c 60326 libxen-ocaml_4.1.2-6_amd64.deb
 f701e6f0638d95ae820e31239b871a463620af09 24600 xenstore-utils_4.1.2-6_amd64.deb
 722345b7d621402a53084c9cba35acbc526c3308 1608184 xen-utils-4.1_4.1.2-6_amd64.deb
Checksums-Sha256: 
 eed956e5b6b0e1cca7ffdddb314e2aca06ff1977f324c09791fa78deb02181ff 2256 xen_4.1.2-6.dsc
 ba3ea9413885953d21aad0fd7b77a012b28c3edde837afb569461be4d66da61e 107016 xen_4.1.2-6.debian.tar.gz
 c7480366330a2c6ee7bb41a77bb20fd38d82841797128c65333871f334097aab 743982 xen-hypervisor-4.1-amd64_4.1.2-6_amd64.deb
 a6b16429fc0cd408a3e9a8264dc0bb7699f9b97ff2f48d840de2b9f4edb13551 1169788 xen-docs-4.1_4.1.2-6_all.deb
 42810b356ba7300ce77ea35f47dd4ddd73990261a98dc9aff20426f19f8577f0 76816 xen-utils-common_4.1.2-6_all.deb
 6d2389f615edb1e0c68214c19e12467262dd1760eb3ee1a4fb106a447996e796 288892 libxen-dev_4.1.2-6_amd64.deb
 edcfa8adb1f36f5dee54054912751071cb5bfd89bdb1ed958e7f7bc24aeccffc 86476 libxen-ocaml-dev_4.1.2-6_amd64.deb
 878fe4a1a5c308724fca20e11a1ace6a31cc550cc78e4b8f3d7d6549de77568a 27254 libxenstore3.0_4.1.2-6_amd64.deb
 b679f56cf24cff137ae4369e12e527805ca820b126fe4dd00112d40f7c6f7b20 137558 libxen-4.1_4.1.2-6_amd64.deb
 79c9dbcd4d93e553fbe34fe1f7d33e785e8fbdb3f9d9ee2adcfe99470ffa00ab 60326 libxen-ocaml_4.1.2-6_amd64.deb
 297442def421938d556681a15ea4d50f53a83c2c8385f95d36074bc726036a5d 24600 xenstore-utils_4.1.2-6_amd64.deb
 2f7598de9933ec1f6b77778fad5eb683b4583c1aab0f38a87e847f5602e1783d 1608184 xen-utils-4.1_4.1.2-6_amd64.deb
Files: 
 4b4cd441d84f94746e1d67f32e1512d4 2256 kernel optional xen_4.1.2-6.dsc
 31db5d814176bc5803bbf27d56d0c67b 107016 kernel optional xen_4.1.2-6.debian.tar.gz
 d33da73117b148cb7e7bdc88fc03e13c 743982 kernel optional xen-hypervisor-4.1-amd64_4.1.2-6_amd64.deb
 82e68d6921d6ca582e112cbcdbabfaa9 1169788 doc optional xen-docs-4.1_4.1.2-6_all.deb
 4dbf34e6cb4e351235d7172f53d14499 76816 kernel optional xen-utils-common_4.1.2-6_all.deb
 0a3137e712c80c9d115ecf6c7bd74bed 288892 libdevel optional libxen-dev_4.1.2-6_amd64.deb
 8b181ce5fc6fe1da0485efb59b48a07f 86476 ocaml optional libxen-ocaml-dev_4.1.2-6_amd64.deb
 b255ff1311276602c8fe5d0828539e00 27254 libs optional libxenstore3.0_4.1.2-6_amd64.deb
 07c0ad3ff77b04cb9d68fdb99b689617 137558 libs optional libxen-4.1_4.1.2-6_amd64.deb
 23db6421f916764dbd5f264c0635b25d 60326 ocaml optional libxen-ocaml_4.1.2-6_amd64.deb
 f254e2f2f53280b92097849075504283 24600 admin optional xenstore-utils_4.1.2-6_amd64.deb
 5e2c9999d9f36f835f695abc46e43fdc 1608184 kernel optional xen-utils-4.1_4.1.2-6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk+mwAUACgkQLkAIIn9ODhG0KACfXDut8Ju+MWdNfqB+x7GOzliX
zUIAnj8b3AynG6rWepYnwZfwe81BPbtP
=eqQ+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 14 Jun 2012 07:40:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:11:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.